# Validate that a custom domain points at the ingress CNAME Source: https://docs.orchard.hackclub.com/api/operations/projects_ingresses_validate_dns/ `POST /apiv1/projects/ingresses/validate-dns` Operation ID: `projects_ingresses_validate_dns` Auth: authenticated (scope: deploy) ## Request body ```json { "properties": { "domain": { "type": "string" }, "projectId": { "type": "string" } }, "required": [ "projectId", "domain" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "message": { "type": "string" }, "valid": { "type": "boolean" } }, "required": [ "valid", "message" ], "type": "object" } ```